> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/sso-connect-on-prem/jp/installation-and-setup/installation-linux/running-keeper-sso-connect-as-a-service-on-linux.md).

# LinuxでKeeper SSOコネクトをサービスとして実行

Linuxでサービスを設定

サーバーを設定して動作可能になったら、SSOコネクトをサービスとして設定してください。この操作はご利用のOSによって異なります。

1. ウェブインターフェースで設定したためにアプリケーションがまだ動作中の場合は、コマンドラインで\_CTRL-C\_を入力して、実行中のインスタンスを停止します。
2. rootユーザーとして、以下の内容のシステム起動ファイル `/etc/systemd/system/ssoconnect.service` を作成します (/path/to/keeperを正確なパスに置き換え、<ユーザー名 (user) >をプロセスを実行するユーザー名に置き換えます)

```
[Unit]
Description=SSO Connect Java Daemon 

[Service]
WorkingDirectory=/path/to/keeper (i.e. /home/keeperservice/sso_connect)
User=<user> (i.e. root)
ExecStartPre=/bin/sleep 10 
ExecStart=/usr/bin/java -jar /path/to/keeper/SSOConnect.jar

[Install]
WantedBy=multi-user.target
```

ファイルの権限を変更します。

```
sudo chmod 644 /etc/systemd/system/ssoconnect.service
```

サービスの自動起動を有効にします。

```
sudo systemctl enable ssoconnect.service
```

systemctlを実行してサービスを開始します。

```
$ systemctl start ssoconnect
$ systemctl status ssoconnect
```

#### Linuxのトラブルシューティング

サービスに対する応答をテストしたり、Keeper SSOコネクトインスタンスの正常性を監視したりするには、「Ping URL」を照会してください。上記の例では以下のようにします。

```
http://127.0.0.1:9000/ping
```

ポートフォワードを使用してローカルインスタンスに接続したため、ここでは、ローカルホストにpingしていることにご注意ください。 外部 (外部ユーザー) からサービスの実行を確認するには、公開ポートをご使用ください。

```
$ curl "https://<public_ip_or_dns>:<port>/ping"
```

リクエスト/レスポンスの例:

```
curl "https://sso.acme-demo.com:8443/ping"
​
{"configuration":"Running","sync_revision":41838,"sync":"Thu Nov 21 07:36:51 UTC 2019","version":"o14.1.2.4","sso":"Running","status":"Ready"}
```

デフォルトで `/path/to/keeper/logs/ssoconnect.log` にあるログファイルを確認できます。ログは、インストールディレクトリにある標準の `log4j2.xml` ファイルを使用して記録されます。 `log4j2.xml` ファイルを変更して、ログファイルをどこでも好きな場所に配置できます。

```
$ tail -f /path/to/keeper/logs/ssoconnect.log
```

以下のセクションでは、主要なベンダーごとのIDプロバイダの設定手順について取り扱います。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.keeper.io/sso-connect-on-prem/jp/installation-and-setup/installation-linux/running-keeper-sso-connect-as-a-service-on-linux.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
